### Method

# Adw MessageDialog set_default_response

deprecated: 1.6 since: 1.2

#### Declaration [src]

    void
    adw_message_dialog_set_default_response (
      AdwMessageDialog* self,
      const char* response
    )

#### Description [src]

Sets the ID of the default response of `self`.

The button corresponding to this response will be set as the default widget of `self`.

If not set, the default widget will not be set, and the last added response will be focused by default.

See `GtkWindow:default-widget`.

Available since: 1.2

Deprecated since: 1.6

Use `AdwAlertDialog`.

Sets property | `Adw.MessageDialog:default-response`

#### Parameters

`response`

  Type: `const char*`

  The default response ID.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.